[ Megoldva ] Java 7 iDarc pánik!

Fórumok

Debian 10 alatt kellene elérnem egy távoli DELL szervert, amihez - ha jól tudom - iDarc adminisztrációs felület van.

Természetesen csak java 7 futtatja használhatóan, és a https hitelesítése érvénytelen (mint ez manapság már szokásos a szolgáltatóknál).

A 7-es JRE-t az oracle oldaláról töltöttem le, és az update-alternatives paranccsal be is állítottam a java és a javaws alternatívákat.

A terminált elindítva indul is a java 7, de mivel nem érvényes a certificate, leáll.

Ha a distro saját openjdk 11 verzióját használom, akkor elindul a java app, csak a billentyűzet nem használható. :(

A java 7 saját java.security fájljában is kikommenteztem a jdk.tls.disabledAlgorithms kezdetű sort. Ennek ellenére nem hajlandó futtatni a java appot.

Anélkül, hogy véleményezném most ezt a fajta szolgáltatást, hogyan érhetném el, hogy állíthatnám be, hogy az oracle java 7 akkor is futtassa az appot, ha az érvénytelen hitelesítésű https-ről származik?

Hozzászólások

Régebbi Java 7, valami biztos helyen futtatva?

jcontrol-ban security-nal nezz szet, talan elegendo ha idrac cimet felveszed kivetelnek.

Szerkesztve: 2020. 12. 02., sze - 20:21

Régi Firefox (én a 45.9.0-át javaslom), ami még nem ugat ennyire régi Java verzióra, plusz régi JRE. Linuxon pl. letöltöd a FF .tar.gz-t, kibontod egy könyvtárba, letöltöd a régi JRE-t, mellérakod egy könyvtárba, és besymlinkeled az NS plugint a FF-ba. A jcontrolt ettől függetlenül használnod kell majd, mert jó eséllyel nem megy át a szerver az 1.7-es alap beállításain.

$ cd /opt/firefox-45.9.0/browser/plugins
$ ls -l 
total 0
lrwxrwxrwx 1 root root 54 Jan 26  2020 libnpjp2.so -> /opt/oracle-jdk-bin-1.7.0.80/jre/lib/amd64/libnpjp2.so
$